psychopy.org | Reference | Downloads | Github

Not syncing to pavlovia

URL of experiment: N/A

Description of the problem: When I push the project from Builder --> Pavlovia and create a new project, it said “synchronizing…” for hours with no change (see screenshot). I tried this a couple more times with the same result. Now I have multiple projects on pavlovia but none of them have any of the psychopy files/code. Any idea what is going on? As of right now, it’s a simple experiment with no code components.

When I try it on the new version of pavlovia, I get a different error (attached). d

After making that change (taking out the /dotstest from the filepath) I get yet another error, copied here: Traceback (most recent call last):
File “urllib3/connectionpool.pyc”, line 384, in _make_request
File “”, line 2, in raise_from
File “urllib3/connectionpool.pyc”, line 380, in _make_request
File “http/client.pyc”, line 1331, in getresponse
File “http/client.pyc”, line 297, in begin
File “http/client.pyc”, line 258, in _read_status
File “socket.pyc”, line 586, in readinto
File “urllib3/contrib/pyopenssl.pyc”, line 298, in recv_into
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 449, in send
File “urllib3/connectionpool.pyc”, line 638, in urlopen
File “urllib3/util/retry.pyc”, line 367, in increment
File “urllib3/packages/six.pyc”, line 686, in reraise
File “urllib3/connectionpool.pyc”, line 600, in urlopen
File “urllib3/connectionpool.pyc”, line 386, in _make_request
File “urllib3/connectionpool.pyc”, line 306, in _raise_timeout
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/pavlovia_ui/project.py”, line 146, in submitChanges
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 324, in createProject
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/exceptions.py”, line 251, in wrapped_f
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/mixins.py”, line 204, in create
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 604, in http_post
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 481, in http_request
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/sessions.py”, line 646, in send
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 529, in send
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

Hi jms,

Could you repost your issue in the builder category? Then we’re sure the right people pick it up.

Best, Thomas

1 Like